Package sqlite.plt contributed by jaymccarthy [docs]
To load: (require (planet jaymccarthy/sqlite:5:1/sqlite))
Old style:(require (planet "sqlite.rkt" ("jaymccarthy" "sqlite.plt" 5 1)))
Package description:
Allows access to SQLite databases.
Downloads this week: 3
Total downloads: 8153
Tickets:9
Open tickets:0
Primary files:
[no interface available]
 Current version
PLaneT versionExternal versionSourceDLsDocsReq. PLTDate added
(5 1)
402
[none]2011-05-05
To load: (require (planet jaymccarthy/sqlite:5:1/sqlite))
Available in repositories: 4.x
  • Rackety
No Tickets Currently open for this Package [New Ticket]

 Old versions
PLaneT versionExternal versionSourceDLsDocsReq. PLTDate added
(5 0)
203
[none]2010-09-03
To load: (require (planet "sqlite.rkt" ("jaymccarthy" "sqlite.plt" 5 (= 0))))
Available in repositories: 4.x
  • Rackety
(4 6)
1729
[none]2009-12-16
To load: (require (planet "sqlite.ss" ("jaymccarthy" "sqlite.plt" 4 (= 6))))
Available in repositories: 4.x
  • Allowing negative INTEGER column values
(4 5)
2106
[none]2009-07-27
To load: (require (planet "sqlite.ss" ("jaymccarthy" "sqlite.plt" 4 (= 5))))
Available in repositories: 4.x
  • Exposing statement-names
(4 4)
23
[none]2009-07-22
To load: (require (planet "sqlite.ss" ("jaymccarthy" "sqlite.plt" 4 (= 4))))
Available in repositories: 4.x
  • Better contracts for statement operations
  • Improve syntax error messages
(4 3)
109
[none]2009-06-22
To load: (require (planet "sqlite.ss" ("jaymccarthy" "sqlite.plt" 4 (= 3))))
Available in repositories: 4.x
  • Bug in handling of REAL, VARCHAR, and other column types
(4 2)
33
[none]2009-06-05
To load: (require (planet "sqlite.ss" ("jaymccarthy" "sqlite.plt" 4 (= 2))))
Available in repositories: 4.x
  • Bug in handling of returned NULL values
  • Fixed a 64-bit bug
  • Does not use malloc anymore
  • select/exec/insert are now implemented in PLT Scheme, which causes them to have backwards incompatible contracts
  • select/exec/insert now support parameters for loading into the implicit statement
  • The FFI now has contracts
(4 1)
132
[none]2009-03-09
To load: (require (planet "sqlite.ss" ("jaymccarthy" "sqlite.plt" 4 (= 1))))
Available in repositories: 4.x
  • Fixed a 64-bit bug
  • Does not use malloc anymore
  • select/exec/insert are now implemented in PLT Scheme, which causes them to have backwards incompatible contracts
  • select/exec/insert now support parameters for loading into the implicit statement
  • The FFI now has contracts
(4 0)
12
[none]2009-02-24
To load: (require (planet "sqlite.ss" ("jaymccarthy" "sqlite.plt" 4 (= 0))))
Available in repositories: 4.x
  • Fixed a 64-bit bug
  • Does not use malloc anymore
  • select/exec/insert are now implemented in PLT Scheme, which causes them to have backwards incompatible contracts
  • select/exec/insert now support parameters for loading into the implicit statement
  • The FFI now has contracts
(3 8)
272
[none]2009-02-13
To load: (require (planet "sqlite.ss" ("jaymccarthy" "sqlite.plt" 3 (= 8))))
Available in repositories: 4.x

Updated to PLT 4.0

(3 7)
81
[none]2009-01-21
To load: (require (planet "sqlite.ss" ("jaymccarthy" "sqlite.plt" 3 (= 7))))
Available in repositories: 4.x

Updated to PLT 4.0

(3 6)
3
[none]2009-01-21
To load: (require (planet "sqlite.ss" ("jaymccarthy" "sqlite.plt" 3 (= 6))))
Available in repositories: 4.x

Updated to PLT 4.0

(3 5)
29
[none]2009-01-12
To load: (require (planet "sqlite.ss" ("jaymccarthy" "sqlite.plt" 3 (= 5))))
Available in repositories: 4.x

Updated to PLT 4.0

(3 4)
181
[none]2008-10-14
To load: (require (planet "sqlite.ss" ("jaymccarthy" "sqlite.plt" 3 (= 4))))
Available in repositories: 4.x

Updated to PLT 4.0

(3 3)
23
[none]2008-09-30
To load: (require (planet "sqlite.ss" ("jaymccarthy" "sqlite.plt" 3 (= 3))))
Available in repositories: 4.x

Updated to PLT 4.0

(3 2)
149
[none]2008-08-11
To load: (require (planet "sqlite.ss" ("jaymccarthy" "sqlite.plt" 3 (= 2))))
Available in repositories: 4.x

Updated to PLT 4.0

(3 1)
1149
[none]2007-04-01
To load: (require (planet "sqlite.ss" ("jaymccarthy" "sqlite.plt" 3 (= 1))))
Available in repositories: 4.x, 3xx
[no release notes]
(3 0)
194
[none]2007-04-01
To load: (require (planet "sqlite.ss" ("jaymccarthy" "sqlite.plt" 3 (= 0))))
Available in repositories: 3xx, 4.x
[no release notes]
(2 0)
198
[none]2007-04-01
To load: (require (planet "sqlite.ss" ("jaymccarthy" "sqlite.plt" 2 (= 0))))
Available in repositories: 3xx, 4.x
[no release notes]
(1 9)
1080
[none]2007-04-01
To load: (require (planet "sqlite.ss" ("jaymccarthy" "sqlite.plt" 1 (= 9))))
Available in repositories: 4.x, 3xx
[no release notes]
(1 8)
3
[none]2007-04-01
To load: (require (planet "sqlite.ss" ("jaymccarthy" "sqlite.plt" 1 (= 8))))
Available in repositories: 4.x, 3xx
[no release notes]
(1 7)
5
[none]2007-04-01
To load: (require (planet "sqlite.ss" ("jaymccarthy" "sqlite.plt" 1 (= 7))))
Available in repositories: 4.x, 3xx
[no release notes]
(1 6)
9
[none]
[none]2007-04-01
To load: (require (planet "sqlite.ss" ("jaymccarthy" "sqlite.plt" 1 (= 6))))
Available in repositories: 4.x, 3xx
[no release notes]
(1 5)
5
[none]
[none]2007-04-01
To load: (require (planet "sqlite.ss" ("jaymccarthy" "sqlite.plt" 1 (= 5))))
Available in repositories: 4.x, 3xx
[no release notes]
(1 4)
9
[none]2007-04-01
To load: (require (planet "sqlite.ss" ("jaymccarthy" "sqlite.plt" 1 (= 4))))
Available in repositories: 3xx, 4.x
[no release notes]
(1 3)
3
[none]2007-04-01
To load: (require (planet "sqlite.ss" ("jaymccarthy" "sqlite.plt" 1 (= 3))))
Available in repositories: 4.x, 3xx
[no release notes]
(1 2)
5
[none]2007-04-01
To load: (require (planet "sqlite.ss" ("jaymccarthy" "sqlite.plt" 1 (= 2))))
Available in repositories: 3xx, 4.x
[no release notes]
(1 1)
3
[none]
[none]2007-04-01
To load: (require (planet "sqlite.ss" ("jaymccarthy" "sqlite.plt" 1 (= 1))))
Available in repositories: 4.x, 3xx
[no release notes]
(1 0)
3
[none]
[none]2007-04-01
To load: (require (planet "sqlite.ss" ("jaymccarthy" "sqlite.plt" 1 (= 0))))
Available in repositories: 4.x, 3xx
[no release notes]